Bug 1730406 - [abrt] evince: gfree(): evince killed by SIGSEGV
Summary: [abrt] evince: gfree(): evince killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: evince
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6b51cf573d93eab7cb4012a42ea...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-16 15:39 UTC by Dmitry Burstein
Modified: 2020-05-26 16:13 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:13:33 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (28.70 KB, text/plain)
2019-07-16 15:40 UTC, Dmitry Burstein
no flags Details
File: cgroup (499 bytes, text/plain)
2019-07-16 15:40 UTC, Dmitry Burstein
no flags Details
File: core_backtrace (14.68 KB, text/plain)
2019-07-16 15:40 UTC, Dmitry Burstein
no flags Details
File: cpuinfo (1.21 KB, text/plain)
2019-07-16 15:40 UTC, Dmitry Burstein
no flags Details
File: dso_list (10.43 KB, text/plain)
2019-07-16 15:40 UTC, Dmitry Burstein
no flags Details
File: environ (1.85 KB, text/plain)
2019-07-16 15:40 UTC, Dmitry Burstein
no flags Details
File: exploitable (82 bytes, text/plain)
2019-07-16 15:40 UTC, Dmitry Burstein
no flags Details
File: limits (1.29 KB, text/plain)
2019-07-16 15:40 UTC, Dmitry Burstein
no flags Details
File: maps (65.93 KB, text/plain)
2019-07-16 15:40 UTC, Dmitry Burstein
no flags Details
File: mountinfo (4.26 KB, text/plain)
2019-07-16 15:40 UTC, Dmitry Burstein
no flags Details
File: open_fds (2.77 KB, text/plain)
2019-07-16 15:40 UTC, Dmitry Burstein
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2019-07-16 15:40 UTC, Dmitry Burstein
no flags Details

Description Dmitry Burstein 2019-07-16 15:39:56 UTC
Description of problem:
I was using the text search function, and aftert typing a few first letters of the search word - it crashed. Happens always with this particular document-search combination.

Version-Release number of selected component:
evince-3.32.0-3.fc30

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        evince /home/dima/Documents/shaving/Trademarks on Base-Metal Tableware.pdf
crash_function: gfree
executable:     /usr/bin/evince
journald_cursor: s=495c3e357f7b4aa7a35c74daa33d1d4f;i=575a2;b=ccd72b5c305e4167a172950018c3fcce;m=9a769833d;t=58dcdd40c68ec;x=3a1dc320b4416f1d
kernel:         5.1.16-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Dmitry Burstein 2019-07-16 15:40:00 UTC
Created attachment 1591093 [details]
File: backtrace

Comment 2 Dmitry Burstein 2019-07-16 15:40:01 UTC
Created attachment 1591094 [details]
File: cgroup

Comment 3 Dmitry Burstein 2019-07-16 15:40:03 UTC
Created attachment 1591095 [details]
File: core_backtrace

Comment 4 Dmitry Burstein 2019-07-16 15:40:05 UTC
Created attachment 1591096 [details]
File: cpuinfo

Comment 5 Dmitry Burstein 2019-07-16 15:40:06 UTC
Created attachment 1591097 [details]
File: dso_list

Comment 6 Dmitry Burstein 2019-07-16 15:40:08 UTC
Created attachment 1591098 [details]
File: environ

Comment 7 Dmitry Burstein 2019-07-16 15:40:09 UTC
Created attachment 1591099 [details]
File: exploitable

Comment 8 Dmitry Burstein 2019-07-16 15:40:10 UTC
Created attachment 1591100 [details]
File: limits

Comment 9 Dmitry Burstein 2019-07-16 15:40:13 UTC
Created attachment 1591101 [details]
File: maps

Comment 10 Dmitry Burstein 2019-07-16 15:40:14 UTC
Created attachment 1591102 [details]
File: mountinfo

Comment 11 Dmitry Burstein 2019-07-16 15:40:16 UTC
Created attachment 1591103 [details]
File: open_fds

Comment 12 Dmitry Burstein 2019-07-16 15:40:17 UTC
Created attachment 1591104 [details]
File: proc_pid_status

Comment 13 Marek Kašík 2019-07-19 12:43:26 UTC
Hi,

thank you for this report. I've prepared a fix for this issue and proposed it for upstream merge (https://gitlab.freedesktop.org/poppler/poppler/merge_requests/327). I'll wait for their review.

Comment 14 Ben Cotton 2020-04-30 21:31:59 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2020-05-26 16:13:33 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.